
.b-input-simple {
  padding: .25rem;
}

.b-input {
  // Note: this is also used by b-param
  input, select {
    @extend .form-control;
    @extend .form-control-sm;

    background: transparent;
    &:disabled, &[readonly] {
      background: transparent;
    }
  }

  /* Firefox fix to hide arrows when type=number and readonly */
  input[type=number]:read-only::-webkit-outer-spin-button,
  input[type=number]:read-only::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  input[type=number]:read-only {
    -moz-appearance:textfield;
  }

  /* display some space before/after alerts list */
  .b-alerts .alert:first-child {
    @extend .mt-1;
  }
  .b-alerts .alert:last-child {
    @extend .mb-2;
  }

  input {
    outline: none;
    min-width: 80%;
  }
  label {
    margin-bottom: 0;
  }
}

.b-input input.b-in-edit[readonly],
.b-input input.b-in-edit[disabled] {
  background-color: $input-disabled-bg;
}
